mempool: Get mempool statistics

API: mempool.space:mempool
Endpoint: /mempool
Response format: text/plain
Auth: none
Method: GET
Last Status: 200
Latency: 144ms

Description

Returns current mempool statistics including transaction count, size, and fee histogram.

Examples (1)

Get mempool statistics probe-gate
curl 'https://mempool.space/api/mempool'
import requests

resp = requests.get("https://mempool.space/api/mempool")
data = resp.json()
import zingu_apis

api = zingu_apis.api("mempool")
result = api.fetch("mempool")

for item in result:
    print(item)
const resp = await fetch("https://mempool.space/api/mempool");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:09:25.571758 200 144ms
2026-04-15 01:59:20.590243 200 160ms
2026-04-14 03:03:12.665577 200 139ms
2026-04-12 15:40:00.184297 200 134ms
2026-04-10 02:00:13.288466 ERR
2026-04-09 02:30:30.596318 200 129ms
2026-04-08 00:00:20.610733 200 148ms
2026-04-07 01:46:29.445401 200 155ms
2026-04-06 05:28:07.282161 200 741ms
2026-04-05 14:24:39.037632 200 184ms
2026-04-05 01:58:41.945064 200 196ms
2026-04-04 10:00:31.930626 200 167ms
2026-03-27T20:02:09.153473 200 76ms